# VelocityCommandManager (ACF (Velocity) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: VelocityCommandManager

Package co.aikar.commands

# Class VelocityCommandManager

java.lang.Object
co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>
co.aikar.commands.VelocityCommandManager

public class VelocityCommandManager extends co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected VelocityCommandCompletions`
`completions`
`protected VelocityCommandContexts`
`contexts`
`protected VelocityLocales`
`locales`
`protected final com.velocitypowered.api.plugin.PluginContainer`
`plugin`
`protected final com.velocitypowered.api.proxy.ProxyServer`
`proxy`
`protected Map<String,VelocityRootCommand>`
`registeredCommands`

### Fields inherited from class co.aikar.commands.CommandManager

`conditions, defaultExceptionHandler, defaultFormatter, defaultHelpPerPage, dependencies, formatters, helpFormatter, issuersLocale, localeChangedCallbacks, replacements, rootCommands, supportedLanguages, usePerIssuerLocale`

## Constructor Summary

Constructors
Constructor
Description
`VelocityCommandManager(com.velocitypowered.api.proxy.ProxyServer proxy, Object plugin)`

## Method Summary

Modifier and Type
Method
Description
`VelocityCommandExecutionContext`
`createCommandContext(co.aikar.commands.RegisteredCommand command, co.aikar.commands.CommandParameter parameter, co.aikar.commands.CommandIssuer sender, List<String> args, int i, Map<String,Object> passedArgs)`
`co.aikar.commands.CommandCompletionContext`
`createCompletionContext(co.aikar.commands.RegisteredCommand command, co.aikar.commands.CommandIssuer sender, String input, String config, String[] args)`
`VelocityConditionContext`
`createConditionContext(co.aikar.commands.CommandIssuer issuer, String config)`
`co.aikar.commands.RegisteredCommand`
`createRegisteredCommand(co.aikar.commands.BaseCommand command, String cmdName, Method method, String prefSubCommand)`
`co.aikar.commands.RootCommand`
`createRootCommand(String cmd)`
`co.aikar.commands.CommandCompletions<VelocityCommandCompletionContext>`
`getCommandCompletions()`
`co.aikar.commands.CommandContexts<VelocityCommandExecutionContext>`
`getCommandContexts()`
`VelocityCommandIssuer`
`getCommandIssuer(Object issuer)`
`String`
`getCommandPrefix(co.aikar.commands.CommandIssuer issuer)`
`VelocityLocales`
`getLocales()`
`com.velocitypowered.api.plugin.PluginContainer`
`getPlugin()`
`com.velocitypowered.api.proxy.ProxyServer`
`getProxy()`
`Collection<co.aikar.commands.RootCommand>`
`getRegisteredRootCommands()`
`boolean`
`hasRegisteredCommands()`
`boolean`
`isCommandIssuer(Class<?> aClass)`
`void`
`log(co.aikar.commands.LogLevel level, String message, Throwable throwable)`
`void`
`readLocale(com.velocitypowered.api.proxy.Player player)`
`void`
`registerCommand(co.aikar.commands.BaseCommand command)`
`void`
`registerCommand(co.aikar.commands.BaseCommand command, boolean force)`
`void`
`unregisterCommand(co.aikar.commands.BaseCommand command)`
`void`
`unregisterCommand(VelocityRootCommand command)`
`void`
`unregisterCommands()`

### Methods inherited from class co.aikar.commands.CommandManager

`addSupportedLanguage, enableUnstableAPI, formatMessage, generateCommandHelp, generateCommandHelp, generateCommandHelp, generateCommandHelp, getCommandConditions, getCommandReplacements, getCurrentCommandIssuer, getCurrentCommandManager, getCurrentCommandOperationContext, getDefaultExceptionHandler, getDefaultFormatter, getDefaultHelpPerPage, getFormat, getHelpFormatter, getIssuerLocale, getRootCommand, getSupportedLanguages, handleUncaughtException, hasPermission, hasPermission, isLoggingUnhandledExceptions, log, notifyLocaleChange, obtainRootCommand, onLocaleChange, registerDependency, registerDependency, sendMessage, sendMessage, setDefaultExceptionHandler, setDefaultExceptionHandler, setDefaultFormatter, setDefaultHelpPerPage, setFormat, setFormat, setFormat, setHelpFormatter, setIssuerLocale, usePerIssuerLocale, usingPerIssuerLocale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### proxy

protected final com.velocitypowered.api.proxy.ProxyServer proxy

### plugin

protected final com.velocitypowered.api.plugin.PluginContainer plugin

### registeredCommands

protected Map<String,VelocityRootCommand> registeredCommands

### contexts

protected VelocityCommandContexts contexts

### completions

protected VelocityCommandCompletions completions

### locales

protected VelocityLocales locales

## Constructor Details

### VelocityCommandManager

public VelocityCommandManager (com.velocitypowered.api.proxy.ProxyServer proxy, Object plugin)

## Method Details

### getProxy

public com.velocitypowered.api.proxy.ProxyServer getProxy()

### getPlugin

public com.velocitypowered.api.plugin.PluginContainer getPlugin()

### getCommandContexts

public co.aikar.commands.CommandContexts<VelocityCommandExecutionContext> getCommandContexts()

Specified by:
  `getCommandContexts` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### getCommandCompletions

public co.aikar.commands.CommandCompletions<VelocityCommandCompletionContext> getCommandCompletions()

Specified by:
  `getCommandCompletions` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### getLocales

public VelocityLocales getLocales()

Specified by:
  `getLocales` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### readLocale

public void readLocale (com.velocitypowered.api.proxy.Player player)

### registerCommand

public void registerCommand (co.aikar.commands.BaseCommand command)

Specified by:
  `registerCommand` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### registerCommand

public void registerCommand (co.aikar.commands.BaseCommand command, boolean force)

### unregisterCommand

public void unregisterCommand (co.aikar.commands.BaseCommand command)

### unregisterCommand

public void unregisterCommand (VelocityRootCommand command)

### unregisterCommands

public void unregisterCommands()

### hasRegisteredCommands

public boolean hasRegisteredCommands()

Specified by:
  `hasRegisteredCommands` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### isCommandIssuer

public boolean isCommandIssuer (Class<?> aClass)

Specified by:
  `isCommandIssuer` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### getCommandIssuer

public VelocityCommandIssuer getCommandIssuer (Object issuer)

Specified by:
  `getCommandIssuer` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### createRootCommand

public co.aikar.commands.RootCommand createRootCommand (String cmd)

Specified by:
  `createRootCommand` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### getRegisteredRootCommands

public Collection<co.aikar.commands.RootCommand> getRegisteredRootCommands()

Specified by:
  `getRegisteredRootCommands` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### createCommandContext

public VelocityCommandExecutionContext createCommandContext (co.aikar.commands.RegisteredCommand command, co.aikar.commands.CommandParameter parameter, co.aikar.commands.CommandIssuer sender, List<String> args, int i, Map<String,Object> passedArgs)

Specified by:
  `createCommandContext` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### createCompletionContext

public co.aikar.commands.CommandCompletionContext createCompletionContext (co.aikar.commands.RegisteredCommand command, co.aikar.commands.CommandIssuer sender, String input, String config, String[] args)

Specified by:
  `createCompletionContext` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### createRegisteredCommand

public co.aikar.commands.RegisteredCommand createRegisteredCommand (co.aikar.commands.BaseCommand command, String cmdName, Method method, String prefSubCommand)

Overrides:
  `createRegisteredCommand` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### createConditionContext

public VelocityConditionContext createConditionContext (co.aikar.commands.CommandIssuer issuer, String config)

Overrides:
  `createConditionContext` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### log

public void log (co.aikar.commands.LogLevel level, String message, Throwable throwable)

Specified by:
  `log` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`

### getCommandPrefix

public String getCommandPrefix (co.aikar.commands.CommandIssuer issuer)

Overrides:
  `getCommandPrefix` in class `co.aikar.commands.CommandManager<com.velocitypowered.api.command.CommandSource,VelocityCommandIssuer,net.kyori.adventure.text.format.NamedTextColor,VelocityMessageFormatter,VelocityCommandExecutionContext,VelocityConditionContext>`